Skip to main content
POST
/
projects
새 프로젝트 생성
curl --request POST \
  --url https://api.example.com/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "class_id": 123,
  "name": "<string>",
  "description": "<string>"
}
'
{
  "project_id": 123,
  "owner_id": 123,
  "class_id": 123,
  "name": "<string>",
  "project_type": "<string>",
  "status": "<string>",
  "progress_percent": "<string>",
  "practice_hours": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "conversation_count": 0,
  "last_activity_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

[사용자 생성용]

  • owner_id, progress, practice_hours 같은 값은 서버에서 채운다.
  • 현재 컨셉: 특정 class 안의 개인 프로젝트(폴더)
class_id
integer
required
name
string
required
description
string | null

Response

Successful Response

project_id
integer
required
owner_id
integer
required
class_id
integer
required
name
string
required
project_type
string
required
status
string
required
progress_percent
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
practice_hours
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
conversation_count
integer
default:0
last_activity_at
string<date-time> | null